<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/Views/FileIndex/FileIndex.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.Views.FileIndex.FileIndex</title>
<link href="../../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../../Synopsis.html" >Synopsis</a>.<a href="../../../../Formatters.html" >Formatters</a>.<a href="../../../HTML.html" >HTML</a>.<a href="../../Views.html" >Views</a>.<a href="../FileIndex.html" >FileIndex</a>
</div><div class="class-name">class FileIndex

</div><div class="links"><div class="file">File: <a href="../../../../../../File/Synopsis/Formatters/HTML/Views/FileIndex.py.html" target="detail">../Synopsis/Formatters/HTML/Views/FileIndex.py</a></div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Views.FileIndex.FileIndex" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/FileIndex.py.html#line16" ><img src="../../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="FileIndex-inheritance" src="FileIndex-inheritance.png" hspace="8" vspace="8" border="0" usemap="#FileIndex-inheritance_map" />
<map name="FileIndex-inheritance_map"></map>
 <div class="doc">A view that creates an index of files&#44; and an index for each file.
    First the index of files is created&#44; intended for the top-left frame.
    Second a view is created for each file&#44; listing the major declarations for
    that file&#44; eg: classes&#44; global functions&#44; namespaces&#44; etc.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="register">register</a>(<span class="variable">self</span>, <span class="variable">frame</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Views.FileIndex.FileIndex.register" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/FileIndex.py.html#line22" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="FileIndex.html#filename" >filename</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Views.FileIndex.FileIndex.filename" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/FileIndex.py.html#line30" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="FileIndex.html#title" >title</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref14.html#Synopsis.Formatters.HTML.Views.FileIndex.FileIndex.title" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/FileIndex.py.html#line36" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="FileIndex.html#register_filenames" >register_filenames</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Views.FileIndex.FileIndex.register_filenames" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/FileIndex.py.html#line42" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Registers a view for each file indexed.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="FileIndex.html#process" >process</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Views.FileIndex.FileIndex.process" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/FileIndex.py.html#line50" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Creates a view for each known file.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="FileIndex.html#process_file" >process_file</a></span>(<span class="variable">self</span>, <span class="variable">filename</span>, <span class="variable">file</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Views.FileIndex.FileIndex.process_file" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/FileIndex.py.html#line57" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Creates a view for the given file.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="filename">filename</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Views.FileIndex.FileIndex.filename" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/FileIndex.py.html#line30" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">since FileTree generates a whole file hierarchy&#44; this method returns the current filename&#44;
        which may change over the lifetime of this object</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="title">title</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref14.html#Synopsis.Formatters.HTML.Views.FileIndex.FileIndex.title" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/FileIndex.py.html#line36" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">since FileTree generates a while file hierarchy&#44; this method returns the current title&#44;
        which may change over the lifetime of this object</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="register_filenames">register_filenames</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Views.FileIndex.FileIndex.register_filenames" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/FileIndex.py.html#line42" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Registers a view for each file indexed.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Views.FileIndex.FileIndex.process" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/FileIndex.py.html#line50" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Creates a view for each known file.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process_file">process_file</a>(<span class="variable">self</span>, <span class="variable">filename</span>, <span class="variable">file</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Views.FileIndex.FileIndex.process_file" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/FileIndex.py.html#line57" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Creates a view for the given file. The view is just an index&#44;
        containing a list of declarations.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:11 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
